Maintenance
Update Window
PUT
bearerAuthheader
AuthorizationBearer <token>An API key from the app, starting with upk_
window_id*Window IdFormat
uuidapplication/json- body
title*TitleLength
1 <= length <= 80starts_at*Starts AtFormat
date-timeends_at?|nullmonitor_ids*array<>Items
1 <= items <= 50recurrence?string|nullrecurrence_days?array<integer|string>|nullrecurrence_until?|nulltimezone?TimezoneDefault
"UTC"duration_minutes?integer|nullSuccessful Response
response?unknownapplication/jsoncurl -X PUT 'https://upty.io/api/maintenance/497f6eca-6276-4993-bfeb-53cbbbba6f08' \ -H 'Content-Type: application/json' \ -d '{ "title": "string", "starts_at": "2019-08-24T14:15:22Z", "monitor_ids": [ "97ea48fa-4f9c-4c37-9c10-d93567966552" ]}'Example Response
null